
Member Nodes - MNDeployment #3232

LTER-EUROPE

2012-09-07 01:09 - Dave Vieglais

Status: Operational Start date: 2013-09-24

Priority: High Due date:  

Assignee: Laura Moyers % Done: 79%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Latitude: 51.50 MN_Date_Online: 2014-06-18

Longitude: -0.13 Name:  

MN Description:  LTER-Europe (the Long-Term

Ecosystem Research network) helps to

coordinate ILTER activities in Europe

and represents European-level interests

in ILTER. Over 450 sites holding

extremely varied data are part of this

network of 21 National LTER-Networks.

Logo URL:  

Base URL: http://www.lter-europe.net/ Date Upcoming:  

NodeIdentifier: urn:node:LTER_EUROPE Date Deprecated:  

MN Tier: Tier 1 Information URL:  

Software stack: Metacat Version:  

Description

LTER-EUROPE (European Long-term Ecosystem Research Network) is a potential member node. This issue is to track progress on

that goal.

David Blankman dblankman1@gmail.com is the primary contact for this node.

Additional technical contacts include:

Mike Wilson mw@ceh.ac.uk

Nic Bertrand nsb@ceh.ac.uk

as the server they are using is located in the UK.

Subtasks:

Task # 3996: Generate urn:node:LTER_EUROPE client certificate Closed

Task # 4043: (Waiting for) Deploy production (I) LTER certificate and test against prod... Closed

Task # 4249: LTER-Europe: Develop MN description document Closed

Task # 4287: LTER-Europe: Upgrade to Metacat 2.4.0 Closed

Task # 4289: LTER-Europe: Mutual acceptance Closed

Task # 4290: LTER-Europe: Production verifications Closed

Task # 5449: Resolve resource map issues for LTER-Europe In Progress

Task # 8750: reconnect eLTER MN to DataONE In Progress

History

#1 - 2013-01-30 20:28 - Matthew Jones

- Due date set to 2014-01-31

- Target version set to Deploy by end of Y5Q2

- translation missing: en.field_remaining_hours set to 0.0

#2 - 2013-06-18 19:49 - Matthew Jones

- Status changed from New to In Progress

I got the following reply from D. Blankman, and I responded describing the process of becoming a MN, giving a link to the checklist, and asking for a
contact for LTER_Europe.

D. Blankman wrote:

Matt,

Sorry I haven't gotten back to you. LTER-Europe would definitely be interested in becoming part of DataOne. There is also an Asia-Pacific metacat

that TERN/Taiwan is managing that should be a DataOne node as well.

Let me know what we need to do.

David

David Blankman

Chair, ILTER Information Management Committee

Director, Information Management, Israel LTER

#3 - 2013-06-18 19:50 - Matthew Jones

- Subject changed from Deploy ILTER - Europe member node to ILTER - Europe

#4 - 2013-07-17 14:51 - Matthew Jones

Hi David,

Thanks for the update on the Israel node.  I will remove it from our tracking system.  Other answers to your questions are inline below...

On Wed, Jul 17, 2013 at 6:10 AM, David Blankman dblankman1@gmail.com wrote:

Matt,

First, the Israel metacat is no longer in existence. 

We will be discussing DataOne at the ILTER meeting in Korea in October and will come to a decision as to how we are going to work, e.g. will

Japan, Malaysia, Australia (all have metacats) join independently or will

they replicate to a regional metacat hosted in Taiwan. Is there an advantage of one strategy versus another?

 

Yes, there are pros and cons of each.  Advantages of running multiple nodes include 1) ability to share costs for storage, 2) ability to replicate data at

multiple local nodes, and 3) keeping data closer to the users of the node, which can be important on some networks.  Disadvantages include 1)

multiple systems have to be created and maintained.

Am I correct that LTER-Europe can start out as just a member node and then later on replicate?

 

Yes.  You can start by just providing metadata and exposing your data for download, and then later turn on replication services.  Metacat has a switch

in the configuration that allows you to do this.

Is DataOne at the point where we can replicate only LTER networks?

 

Yes, DataONE is, but there are issues.  Each MN can determine which data sets they accept for replication.  The process is that the Source MN flags

a data set for replication, then the CN looks for a Target MN that can host the dataset, and then asks the Target MN to replicate the data, which the

Target MN can either accept or decline. However, Metacat doesn't currently provide a mechanism for this -- it accepts all replication requests if it has

space available. So you would have to make modifications to support this kind of a filter. We want to add more features for selecting which data to

replicate and how much space to make available, but we haven't had the resources to implement this yet.
Also am I correct that we can replicate metadata only and be selective about the data we would be willing to replicate?

 

Yes, replication policies (as well as access policies) are done on a per-object basis, and can be separately specified for metadata and data objects;

That said, all metadata gets replicated to all of the Coordinating Nodes, even though it may be access restricted.  

For now, I will be the technical contact for the LTER-Europe DataOne node. We now have the metacat working along with Harvesting, so we are

ready to start participating in DataOne. The other key person from

the system administration perspective is Mike Wilson (mw@ceh.ac.uk). He is probably the best person to contact about coordinating certificates

and similar system administration issues. 

 

Great, thanks.  I will pass Mike's name on to our development team and we'll follow up.

Matt

David

David Blankman

Chair, ILTER Information Management Committee

Director, Information Management, Israel LTER

#5 - 2013-08-23 12:56 - Bruce Wilson

- Status changed from In Progress to Planning

Reclassifying to Planning as status to match current state per the MN Deployment checklist.

#6 - 2013-08-23 16:47 - Ben Leinfelder

- Assignee changed from Matthew Jones to Ben Leinfelder

Sent to David and Mike Wilson, 8/23/2013

Hi David,

I wanted to keep the ball rolling with ILTER-Europe joining DataONE.

Since you are already running a Metacat server, it should be quite easy for you to contribute to DataONE as a Member Node.

You can start at the "Deploy" stage as outlined in our checklist: 

http://mule1.dataone.org/OperationDocs/member_node_deployment/mn_checklist.html

And it would be a good idea to ensure your Metacat deployment has been configured as described in the Metacat DataONE documentation section: 
http://knb.ecoinformatics.org/knb/docs/dataone.html

While it is not explicitly required, we prefer that our Member Nodes use SSL and procure a server certificate from a trusted commercial Certificate

Authority. If you would like to enable SSL communication but cannot buy or otherwise obtain an SSL certificate for your server, DataONE can issue a

server certificate for your use. But this is not preferred since it will not be trusted by any other systems that do not explicitly trust the DataONE CA.

Let me know how the configuration comes along and we can go from there.

Thanks!

-ben

#7 - 2013-09-24 17:16 - Ben Leinfelder

- Status changed from Planning to Ready

They have configured SSL for the ILTER-Europe node.

https://data.lter-europe.net/knb/d1/mn/v1/node

Now that we have a certificate for the Metacat. What else is needed to get the LTER-Europe registered as a MemberNode?

David

#8 - 2013-10-01 17:40 - Bruce Wilson

- MN Tier set to Tier 1

- Software stack set to Metacat

#9 - 2013-10-01 17:45 - Bruce Wilson

- NodeIdentifier set to urn:node:ILTER-EUROPE

#10 - 2013-10-01 18:04 - Bruce Wilson

- Base URL set to http://www.lter-europe.net/

- Subject changed from ILTER - Europe to LTER - Europe

- NodeIdentifier changed from urn:node:ILTER-EUROPE to urn:node:LTER-EUROPE

Updating name to LTER-Europe to match what's on their web site

#11 - 2013-10-01 18:47 - Chris Jones

- Latitude set to 51.50

- Longitude set to -0.13

Added coordinates to their server in London, although the location may be VLAN-based, so we'd have to verify this.

#12 - 2013-10-02 16:29 - Ben Leinfelder

- Description updated

#13 - 2014-01-17 15:39 - Bruce Wilson
- Target version changed from Deploy by end of Y5Q2 to Deploy by end of Y5Q3

- Due date changed from 2014-01-31 to 2014-04-30

#14 - 2014-01-29 17:51 - Ben Leinfelder

- NodeIdentifier changed from urn:node:LTER-EUROPE to urn:node:LTER_EUROPE

- Subject changed from LTER - Europe to LTER_EUROPE

#15 - 2014-01-29 17:54 - Ben Leinfelder

- Description updated

- Status changed from Ready to Testing

This node is registered in production and we are simply waiting on CN stability and administrative approval.

#16 - 2014-05-01 15:50 - Laura Moyers

- Target version changed from Deploy by end of Y5Q3 to Deploy by end of Y5Q4

- Due date changed from 2014-04-30 to 2014-07-31

#17 - 2014-05-23 19:01 - Bruce Wilson

- Status changed from Testing to In Review

#18 - 2014-06-20 17:59 - Laura Moyers

- Target version changed from Deploy by end of Y5Q4 to Operational

- MN_Date_Online set to 2014-06-18

- Status changed from In Review to Operational

- MN Description set to  LTER-Europe (the Long-Term Ecosystem Research network) helps to coordinate ILTER activities in Europe and represents

European-level interests in ILTER. Over 450 sites holding extremely varied data are part of this network of 21 National LTER-Networks.

- Subject changed from LTER_EUROPE to LTER-EUROPE

- Due date changed from 2014-07-31 to 2013-09-24

#19 - 2014-07-31 14:56 - Laura Moyers

Formally announced 6/18/14.

#20 - 2015-04-16 00:12 - Laura Moyers

- Assignee changed from Ben Leinfelder to Laura Moyers

#22 - 2018-01-10 01:14 - Dave Vieglais

- Sprint set to Ongoing Operational

#23 - 2018-09-04 14:37 - Amy Forrester

9/4/18: from Christoph Wohner, Ecosystem Research & Environmental Information Management Christoph.Wohner@umweltbundesamt.at re:

LTER-europe status (-1) as of 8/20/18

DEIMS is currently migrated to a new server and is undergoing some changes in terms of the software stack in use.

For the time being we turned off Metacat as we have deployed a new service that incorporates more and nodes and systems that DEIMS had.

However, we are currently still setting up a few things and are in touch with Wim Hugo wim@saeon.ac.za, who is responsible for the new data

strategy of ILTER.

Therefore it might take a couple of weeks until it can be harvested again.
